View Issue Details

IDProjectCategoryView StatusLast Update
0025165mantisbtreportspublic2019-03-16 20:20
ReportercproensaAssigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.20.0 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025165: Summary doesn't honour issue access
Description

In the summary pages, all issues are accounted, regardless of user visibility over them.
Even though some information is hidden, for example private bugs, this only applies to those reports where inidividual issue ids/descriptions are displayed.
The aggregated numbers may include private issues for which the user has no access.
Additionally, other access options like 'limit_reporters', are not accounted.

This also applies to MantisGraph plugin reports.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 48572095

2019-01-02 20:12:09

cproensa


Committer: dregad Details Diff
Implement core summary with filter

Extend standard summary page to filter by a provided filter array.
Existing queries has not been modified logically, only the additional
restriction, to get issues matching with the filter, has been added.

Summary page now supports a receiving a temporary filter key as
request parameter. If no key is povided, a generic filter will be used
which shows all accesible issues by the user, to match the previous
summary behaviour.

Fixes: 0009757, 0021931, 0025165
Affected Issues
0009757, 0021931, 0025165
mod - core/summary_api.php Diff File
mod - summary_page.php Diff File
mod - view_all_inc.php Diff File

MantisBT: master 943030b4

2019-02-14 11:16:39

dregad

Details Diff
Filter summary improvements

Merge PR https://github.com/mantisbt/mantisbt/pull/1442

Fixes 0009757, 0021931, 0022099, 0025163, 0025165, 0025168
Affected Issues
0009757, 0021931, 0022099, 0025163, 0025165, 0025168
mod - core/classes/DbQuery.class.php Diff File
mod - core/filter_api.php Diff File
mod - core/html_api.php Diff File
mod - core/summary_api.php Diff File
mod - docbook/Admin_Guide/en-US/Page_Descriptions.xml Diff File
mod - lang/strings_english.txt Diff File
mod - manage_config_work_threshold_page.php Diff File
mod - manage_config_work_threshold_set.php Diff File
mod - plugins/MantisGraph/MantisGraph.php Diff File
mod - plugins/MantisGraph/core/graph_api.php Diff File
mod - plugins/MantisGraph/pages/category_graph.php Diff File
mod - plugins/MantisGraph/pages/developer_graph.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_bycategory_table.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_bystatus_table.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_graph.php Diff File
mod - plugins/MantisGraph/pages/issues_trend_page.php Diff File
mod - plugins/MantisGraph/pages/priority_graph.php Diff File
mod - plugins/MantisGraph/pages/reporter_graph.php Diff File
mod - plugins/MantisGraph/pages/resolution_graph.php Diff File
mod - plugins/MantisGraph/pages/severity_graph.php Diff File
mod - plugins/MantisGraph/pages/status_graph.php Diff File
mod - summary_page.php Diff File
mod - view_all_inc.php Diff File
mod - view_all_set.php Diff File

Issue History

Date Modified Username Field Change
2019-01-07 10:42 cproensa New Issue
2019-01-07 11:03 cproensa Assigned To => cproensa
2019-01-07 11:03 cproensa Status new => assigned
2019-02-14 11:22 dregad Changeset attached => MantisBT master 48572095
2019-02-14 11:22 dregad Changeset attached => MantisBT master 943030b4
2019-02-14 11:22 dregad Assigned To cproensa => dregad
2019-02-14 11:22 dregad Status assigned => resolved
2019-02-14 11:22 dregad Resolution open => fixed
2019-02-14 11:22 dregad Fixed in Version => 2.20.0
2019-02-14 15:40 atrol Target Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed